Commit 943c7d21 authored by Baruch Siach's avatar Baruch Siach Committed by Peter Korsgaard
Browse files

pulseaudio: fix libsamplerate dependency



The (deprecated) libsamplerate support is not enabled unless
--enable-samplerate is passed to configure. Fix this.
Signed-off-by: default avatarBaruch Siach <baruch@tkos.co.il>
Signed-off-by: default avatarPeter Korsgaard <peter@korsgaard.com>
(cherry picked from commit 5b85c6a038cc210355d8d5715cdf6fa73d18e8ac)
Signed-off-by: default avatarPeter Korsgaard <peter@korsgaard.com>
parent 32e2502c
......@@ -17,7 +17,6 @@ PULSEAUDIO_CONF_OPTS = \
PULSEAUDIO_DEPENDENCIES = \
host-pkgconf libtool libsndfile speex host-intltool \
$(if $(BR2_PACKAGE_LIBSAMPLERATE),libsamplerate) \
$(if $(BR2_PACKAGE_LIBGLIB2),libglib2) \
$(if $(BR2_PACKAGE_AVAHI_DAEMON),avahi) \
$(if $(BR2_PACKAGE_DBUS),dbus) \
......@@ -25,6 +24,13 @@ PULSEAUDIO_DEPENDENCIES = \
$(if $(BR2_PACKAGE_FFTW),fftw) \
$(if $(BR2_PACKAGE_SYSTEMD),systemd)
ifeq ($(BR2_PACKAGE_LIBSAMPLERATE),y)
PULSEAUDIO_CONF_OPTS += --enable-samplerate
PULSEAUDIO_DEPENDENCIES += libsamplerate
else
PULSEAUDIO_CONF_OPTS += --disable-samplerate
endif
ifeq ($(BR2_PACKAGE_GDBM),y)
PULSEAUDIO_CONF_OPTS += --with-database=gdbm
PULSEAUDIO_DEPENDENCIES += gdbm
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment